webdriver {
  driver = chrome
}
headless.mode = true

chrome.switches="""--start-maximized;--test-type;--no-sandbox;--ignore-certificate-errors;
                   --disable-popup-blocking;--disable-default-apps;--disable-extensions-file-access-check;
                   --remote-allow-origins=*;--incognito;--disable-infobars,--disable-gpu"""

gecko.firefox.options="""{"args": ["-headless"]}"""

drivers {
  windows {
    webdriver.chrome.driver = "src/test/resources/webDrivers/windows/chromedriver.exe"
    webdriver.gecko.driver = "src/test/resources/webDrivers/windows/geckodriver.exe"
  }
  mac {
    webdriver.chrome.driver = "src/test/resources/webDrivers/mac/chromedriver"
    webdriver.gecko.driver = "src/test/resources/webDrivers/mac/geckodriver"
  }
  linux {
    webdriver.chrome.driver = "src/test/resources/webDrivers/linux/chromedriver"
    webdriver.gecko.driver = "src/test/resources/WebDrivers/linux/geckodriver"
  }

  serenity {
      report {
         accessibility = true
      }
  }
}
